CLC2006 Support Package

 Top Next

Background

CLC2006 Support Package is a significantly modified and improved version of CLC2000 Support Package. The CLC2000 software has been developed for Remote Sensing Centre of Hungarian Institute of Geodesy, Cartography and Remote Sensing (FÖMI), in order to help the implementation of the European CLC2000 project managed jointly by the European Environment Agency (EEA) and Joint Research Centre (JRC). The CLC2000 software was also used by many European national teams, 15 out of 30 participating countries used it for interpreting changes in CLC2000 project. CLC2006 Support Package is distributed by MLOG Instruments Ltd., Budapest, Hungary (www.mlog.hu/CLC2006/, fax: 36–1 416 56 50).

Main features

CLC2006 Support Package operates under ArcView environment. ArcView software is designed primarily for viewing GIS databases with tools for creating maps, menus for handling databases and graphical editing tools. At the same time, ArcView includes only limited and less effective tools for creating and filling new polygon databases or modifying existing polygon databases. As a solution, CLC2006 Support Package under ArcView provides a cheap tool for quick and comfortable editing and handling of CORINE Land Cover databases. CLC2006 Support Package is a macro package written in Avenue, ArcView’s own macro language. The software is a supplement to ArcView 3.2/3.3 GIS. Working with CLC2006 Support Package requires a basic knowledge of using ArcView GIS. The use of the CLC2006 Support Package significantly facilitates updating, change detection, quality control and correction of land cover databases by means of computer-assisted visual photointerpretation.

Minimum system requirements

· IBM PC compatible computer,
· 2 GHz processor,
· 512 MB RAM,
· 17" monitor, at least 1024x768 pixel resolution,
· Windows 95/98 or Windows NT/2000/XP operation system,
· ArcView GIS 3.2/3.3 software.

CLC2006 Support Package consists of three interrelated programs, all which can be used independently.

InterPrepare for the national central team

InterPrepare can be used for the preparation of source files and work directories for change detection to be carried out with InterChange. For interpreting changes with InterChange program, a pre-described directory structure has to be built for the interpreters. The directory structure should contain all files needed for change detection. The source data must have a pre-set record structure. All the above tasks can be simply solved with InterPrepare. CLC code table editor allows substitution of standard English CLC nomenclature category names and descriptions with national language nomenclature in InterChange program. Nomenclature can be edited and can also be extended with fourth and fifth level categories if required.

InterChange for interpreters of land cover changes

InterChange program provides a tool for the revision of CLC2000 land cover database and supports the interpretation of land cover changes in order to create the CLC2006 database. The program provides a convenient and easy-to-use interface for editing polygons in CLC2000 and CLC-Change databases, for viewing and modification of polygons’ data and for finding and correction of errors generated during interpretation and editing. InterChange program was designed specially for revision of existing land cover databases and interpretation of land cover changes. It is unsuitable for primary interpretation of satellite images and for building up an independent land cover database. For these purposes a separate program called InterView was developed, which has been used in the production of national CLC2000 databases in Croatia, Hungary and Serbia-Montenegro.

InterCheck for checking final databases

InterCheck program serves the checking of revised CLC2000 and CLC-Change map sheets (working units). InterCheck program has been prepared primarily for supporting the CLC2006 Technical Team, although national central teams might apply it as a tool for final checking of the completed CLC2006 and CLC-Change databases. InterCheck can be used for checking CLC2006 and CLC-Change databases in any file format that can be added to ArcView program as a theme (ArcView shapefile, ARC/INFO coverage, AutoCAD drawing etc.), i.e. not only those that has been prepared with InterChange.

Copyright MLOG Instruments Ltd. – Hungary

www.mlog.hu/CLC2006/, fax: 36–1 416 56 50

––––––––––––––––––––––––––––––––––

Program development and text: Gábor Taracsák

English translation: Barbara Kosztra

2007–2009


Services

 Top Previous Next

Red color indicates new services in InterCheck 2.0 versus 1.1.

Magenta color indicates new services in InterCheck 2.1 versus 2.0.

Blue color indicates new services in InterCheck 2.2 versus 2.1.

Creating new working environment

· When InterCheck is started for the first time, it automatically creates a workspace optimised for change detection and empty remark databases, on which the quality supervisor can immediately be started.

Displaying databases

· InterCheck program displays CLC2000 database and change database in two separate View windows (2000, 2006) constantly synchronising their content.
· Supervisor can change from screen divided between two windows to full screen view of one window with a single click.
· The environment of the selected polygon(s) can be masked out.
· Colour of polygon outlines as well as colour and size of code labels can be set separately for the two windows.
· Centre of the workspace can be positioned to a user specified XY coordinate.
· Actual coordinates and scale of the active View window can be saved to hard disc and can be reloaded with a click.

Tools supporting control procedure

· New principle and advanced features are available for creating, editing and searching supervisor's remarks.
· Verification units can assign interactively.
· All data belonging to a selected polygon are shown in the CLC data window.
· Quality supervisor can search for polygons according to several characteristics, such as CLC code, change type, remark, area, change probability or technical change.
· Search for polygons started in Search window or in Code statistics tables can perform in a subset of the matching data, limited by a skip factor or by subset size.
· After the control quality supervisor can set each polygon as verified.
· Short remarks can be added in both databases not only to polygons but to any point within the working unit.
· CLC code can be selected from a list box and can be inserted in to the remark text with a single click.
· The pre-formatted list of all remarks can be saved to disc.

Information support

· LUCAS land cover and land use data and field photos can be viewed with a single click (if data available on computer).
· With optional error colouring, the quality supervisor gets an overview of small polygons or polygons with wrong code.
· Code colouring shows interpreted areas with standard international CLC colour coding.
· Work status colouring allows the quality supervisor to follow the progress of control procedure, the size and position of areas yet to be examined.
· Code change colouring helps identification of those changes that are less likely to occur, thus might need further consideration.
· Code labels of polygons can be switched off/on and can be refreshed.
· A temporary code label can be placed anywhere in the polygon.
· Detailed description of a chosen code can be obtained in a separate window with a single click.
· With the area measurement tool the area of a non interpreted polygon can be quickly estimated.
· Advanced code, polygon area and code change probability statistics available.
· Thicker polygon outlines as well as larger code labels can be switched on before creating screen shots for documents and reports.
· InterCheck program provides all menus, pop-up texts, information lines and dialog boxes in English.
· Detailed help, context sensitive help and printable user's guide (all in English) are inherent parts of the program.


Project file characteristics

ArcView program handles land cover databases grouped in so called projects. A single project might contain several independent files such as: raster databases (satellite images, scanned maps), vector databases (land cover maps, vectorized maps), tables, graphs, layouts, scripts. The project file links these project elements. Project file has .apr extension. Individual elements remain independent files regardless of their belonging to the project. Project contains only links according to path and file name, not the files themselves. However, the project file's text contains in full the links created between files within ArcView, current settings of ArcView's windows, menus and controls, newly created dialog boxes and supplementary macros. Thus the individual settings and tools developed within a project – such as the ones in CLC2006 Support macro packages – are available only when the given project (or projects created by modifying it) is opened.

Since a project file stores links to files with full path, the project file containing the links should not be simply moved to another location or computer, not even if all linked files are moved or copied to that location. If you move a project file this way, the re-located project will search for the linked files at their original path. If the project is saved to another location and with a different name with File – Save Project As command, it will use (and mutually overwrite) the linked files together with the original project. For this reason the empty project (containing one of the CLC2006 Support program) automatically sets its parameters depending on directory structure upon it's first starting. The empty CORINE database files are created in the project directory also upon the first start. Therefore CLC2006 Support Package project files should not be moved after their first opening, as this renders them useless.


Installation

Interpretation performed with the InterChange program

Using CLC2006 Support Package, thematic control and correction based on supervisor’s remarks is simple to carry out and also to repeat several times during interpretation procedure. In case of interpretation made with InterChange and thematic control made by InterCheck the same single directory structure and files can be used throughout the production procedure. Copying or moving of files is not necessary. The two actions – interpretation and control – only reads but never overwrites each other’s data. Naturally, interpreter and supervisor should never work simultaneously on a single map sheet. In order to ensure maximum security it is highly recommended to regularly make backup saves of CLC2000 and change data files (containing the results of work) from each map sheet’s Revision and Change directory, respectively.

In case the interpretation is performed with InterChange program, simply copy check2.apr file into each map sheet directory and start it.

Interpretation performed with other tool

· Create a new directory for controlling of the CORINE change detection at any location on your computer. The directory name is optional, but is must not exceed 8 characters. Suggested names are e.g.: clc, clc2006 or corine. Be careful that you use short directory and file names (8+3 characters) on all directory levels of paths referred to in InterCheck.

· Start install.exe program, which is found in root directory of InterCheck source CD (or other data medium).

· Select the source and destination directory.The program automatically specifies the source directory, so normally you do not need to modify it. As destination directory select the directory created on the basis of the first paragraph.

· Click the Install button. The program copies the needed directories and files to the specified destination directory and deletes their read-only attribute. (The read-only attribute of files on a CD is always set and it does not change after copying.) You must not change the name of directories or files.

· Create a new directory for each map sheet to be checked on the same directory level as Program directory. Copy the check2.apr file into each map sheet directory. Create Revision and Change subdirectory in each map sheet directory. The CLC2000 and Change database files of the map sheet to be checked can be placed to any location within the computer's directory structure.


First opening of a project

Start ArcView program. With File – Open Project command open the check2.apr project file in the map sheet directory you wish to control. If Program directory is incomplete, the program gives an error message and the start is unsuccessful. In case of successful opening the InterCheck program automatically starts.

· The program asks for CLC2000 database, and loads it to 2000 window.
· The list of data fields of CLC2000 database appears and you have to choose the field containing the CLC2000 category code.
· The program asks for the change database, and loads it to 2006 window.
· The list of data fields of Change database appears and you have to choose the field containing the CLC2000 category code derived from the CLC2000 database.
· Then from the same list you have to choose the field containing the new CLC2006 category code.
· Finally you have to choose the field containing the technical change attribute of polygons.

InterCheck creates copies of both databases into the map sheet directory. The program uses these working databases for the checking process. The original CLC2000 and change databases remain unaltered during the checking process. Program loads CLC2000 working database to 2000 window and change working database to 2006 window. Then performs size and code error checking for loaded databases, sets theme legends and some other parameters. Then it saves the modified project in a name identical to that of the map sheet directory and sends a message announcing that the project is ready for starting work on.

Upon its first starting InterCheck finds or creates the verification unit database file (verify.shp) in the Program directory. If you want to use verfication unit database, give a Yes answer to the affirmative question "You want to load Verification unit database?", then program loads it into View windows.

Upon its first starting InterCheck finds or creates and loads remark database files too: Remark_r.shp, .dbf, .shx in the Revision subdirectory and Remark_c.shp, .dbf, .shx in the Change subdirectory.

With Add theme g3 button or View – Add theme command further themes (layers) can be added to the windows. From the appropriate directory load the satellite images you need for control using this command. You can change the order of layers by dragging and dropping their names in the windows' left side in the legend stripe. Drag the satellite images below the CLC2000 and change theme respectively before starting work. It is recommended that you switch off (with switch box beside the name) those themes that you do not use at the moment, because redrawing many layers might significantly slow the program's run. This is applicable especially for satellite images and other raster files. Save project again with File – Save Project command or Save project g1 button before starting control procedure.

Project creates the recommended workspace and window settings upon its first start. It is possible, though impractical to modify it. On later starts the project will always appear with the setting at the last save.


Customizing the workspace

Before starting to work it is recommended to set monitor resolution to minimum 1024 x 768 pixels and colour depth to 65 536 colours (Hi Color) minimum. If monitor and video card allow, 1280 x 1024 pixels (or higher) and 16 million colours (True Color) is recommended. When setting the monitor resolution do not use large fonts or individual font settings, choose small fonts from the font size list. When using larger fonts it might happen that some texts in the program are not fully seen or not perfectly readable.

CLC data window can always be seen in front of the other windows. Dragging the header bar you can move the window. The height of the window – more precisely that of the CLC code list within the window – can be adjusted with help of the Window height slider in the lower left corner. In case you wish to use the whole screen during an operation it is recommended that you close CLC data window. This can be done with Close button, Alt+C keyboard shortcut or the usual Windows close widget in the upper right corner. When one of View windows are active, F9 keyboard shortcut closes and opens CLC data window.

Scale of the View windows can be manually set. Optimal scale value depends on the resolution of satellite images and other ancillary data and the actual interpretation task. The usual recommended value is between 1:20 000 and 1:40 000. Larger scale might show unnecessary details and slow down work, while smaller scale might hide some details.

Polygon outline colour, code label colours and font size can be modified in the Settings window. In most of the cases default yellow and magenta are the most suitable (distinctive) colour.

In the course of work files named delta1.*, delta2.*, ... might appear in mapsheet directories. These are temporary files created by ArcView during certain operations. These files are normally automatically deleted when exiting ArcView, however, in certain cases deleting fails. During a longer work process these temporary files might pile up. Their presence does not cause errors, though spoil perspicuity of directory content. If disturbed by this, you can delete all delta*.* files when ArcView is not running. Be careful not to delete any other files!


The modified interface

When opening InterCheck project window, a modified ArcView interface appears. Only those menus, buttons, tools and popup menus have been modified, that are associated with 2000 or 2006 windows. Edit, View and Help menus, button bar, tool bar and popup menu have been changed. File, Theme, Graphics and Window menus in the View window are left unaltered, these are the same as the original ArcView menus.


Edit menu

Select tool (F2, n ) – opens Tool window, and after pressing the n number key (n = 0..9) selects the appropriate tool . See keyboard template.

Search (Ctrl+S) – opens Search window. You can search for polygons according to several features, such as CLC code, change type, error, supervisor's remark or technical change. Equivalent to Search button.

Find next (F3) – moves to the next polygon that matches search criteria.

Find XY – opens XY co-ordinate window, to find an arbitrary co-ordinate point. Equivalent to Find XY button.

Save workspace (F11) – saves temporary co-ordinates and scale of windows. Equivalent to Save workspace button.

Settings – opens Settings window, in which code label and polygon outline colour code label font size and save screen parameters can be set. Equivalent to Settings button.

Code statistics – calculates and opens tables containing code statistics of both databases. Equivalent to Code statistics button.

Save remarks – gathers and saves all remarks in both databases. Equivalent to Save remarks button.


View menu

Add theme – adds more themes (layers) to the active window. Equivalent to Add theme button.

Zoom to selected – zooms to the size of selected polygons. Equivalent to Zoom to selected button.

Zoom in – zooms in on the centre of a view. Equivalent to Zoom in button.

Zoom out – zooms out from the centre of a view. Equivalent to Zoom out button.

Previous zoom (Backspace) – zooms to previous extent of the windows. Used several times it zooms back to earlier scales. Equivalent to Previous zoom button.

Restore workspace (F12) – window co-ordinates and scale are rolled back to the workspace last saved. Equivalent to Restore workspace button.

CLC data window (F9) – opens and closes CLC data window. Equivalent to CLC data window button.

Toggle codes (F5) – switches off/on code labels. Equivalent to Toggle codes button.

Rewrite codes (F6) – deletes and rewrites all code labels. Equivalent to Rewrite codes button.

Polygon mask (F7) – switches on/off the mask covering the selected polygon's surroundings. Equivalent to Polygon mask button.

Colouring off (F8) – switches off colouring switched on with Choice box list. Equivalent to Colouring off button.


Help menu

InterCheck help – opens the help for InterCheck program. Equivalent to InterCheck help button.

About InterCheck – shows the banner of InterCheck program.


Button bar

g1 Save project – ArcView's original Save Project button. Equivalent to File – Save Project menu command.

g2 Save workspace – saves momentary co-ordinates and scale of windows. Equivalent to Edit – Save workspace menu command.

g3 Add theme – adds more themes (layers) to the active window, the same as ArcView's original Add theme button. Equivalent to View – Add theme menu command.

g4 Zoom to full extent – shows full extent of all layers. Equivalent to View – Zoom to full extent menu command.

g6 Zoom to selected – adjusts scale to the size of selected polygons. Equivalent to View – Zoom to selected menu command.

g7 Zoom in – zooms in on the centre of a view. Equivalent to View – Zoom in menu command.

g8 Zoom out – zooms out from the centre of a view. Equivalent to View – Zoom out menu command.

g9 Previous zoom – zooms to previous scale. Used several times zooms back to earlier scales. Equivalent to View – Previous zoom menu command.

g10 Restore workspace – window co-ordinates and scale are rolled back to the workspace last saved. Equivalent to View – Restore workspace menu command.

g17 Tile windows on/off – changes from screen divided between the two windows to full screen view and back.

g12 CLC data window – opens and closes CLC data window. Equivalent to View – CLC data window menu command.

g13 Toggle codes – switches off/on code labels. Equivalent to View – Toggle codes menu command.

g14 Rewrite codes – deletes and rewrites all code labels. Equivalent to View – Rewrite codes menu command.

g15 Settings – opens Settings window, in which code label and polygon outline colour code label font size and save screen parameters can be set. Equivalent to Edit – Settings menu command.

g23 Polygon mask – switches on/off the mask covering the selected polygon's surroundings. Equivalent to View – Polygon mask menu command.

g16 Colouring off – switches off polygon colouring. Equivalent to View – Colouring off menu command.

g19 Search – opens Search window. You can search for polygons according to several features, such as CLC code, error and remark. Equivalent to Edit – Search menu command.

g24 Find XY – opens XY co-ordinate window, to find an arbitrary co-ordinate point. Equivalent to View – Find XY menu command.

g25 Code statistics – recalculates and opens the table containing code statistics. Equivalent to Edit – Code statistics menu command.

g20 >>What is this? << help – context-sensitive help. Gives information on the button, tool or menu command selected with the pointer.

g21 InterCheck help – opens the help for InterCheck program. Equivalent to Help – InterCheck help menu command.

g26 Verification unit setup – opens the Verification unit setup window.

g5 Save remarks – gathers and saves all remarks in both databases. Equivalent to Edit – Save remarks menu command.


Toolbar

In order to support fast and effective control procedure, tools in the toolbar can be selected not only with the mouse. You can change tool without moving or releasing mouse by striking two keys with your left hand. Strike F2 keyboard shortcut and the second key corresponding to the tool within the toolbar.

e1 Identify (F2, 0) – gives information on the attributes of a polygon selected by clicking on it in an active theme.

e4 Distance (F2, 1) – gives the distance defined by a line you draw with the mouse and displays it in the status bar.

e2 Area (F2, 2) – gives the area of a polygon drawn with the mouse in hectares.

e3 Label (F2, 3) – labels the polygon with its code at the location you click at inside the polygon.

e5 Magnifier (F2, 4) – Zooms in on the location you click at or on the box you define in the window.

e6 Reducer (F2, 5) – Zooms out from the position you click at or from the box you define in the window.

e7 Pan (F2, 6) – drags and moves the content of the window.

e8 Select polygon (F2, 7) – selects the polygons you click on or you drag a selection box over. With click selects remark point (if any). With Ctrl+click selects LUCAS data point.

e13 Add remark point (F2, 8) – Adds new remark point to remark database in the active view window.

e12 Save screen (F2, 9) – Sets wider polygon outlines as well larger code labels befor creating screen shots for documents and reports.


Popup menu

Popup menu appears when you right-click in the 2000 or 2006 window. Within the menu you can select a command without releasing right mouse. If you release right mouse button the popup menu disappears.

Outline off – switches off the bold outline that appears around the selected polygon.

Pan – moves the content of the window so, that the window centre is at the pointer's location.

Zoom in – zooms in on the window so, that the window centre is at the pointer's location.

Zoom out – zooms out from the window so, that the window centre is at the pointer's location.

Verified – classifies selected polygon(s) as verified.

Unverified – classifies selected polygon(s) as unverified.


 The CLC data window

The CLC data window

CLC data window serves viewing the data of individual polygons and adding a remark to a polygon or to individual points of the map sheet. The window can be opened with CLC data window button g12 , the F9 keyboard shortcut or the View – CLC data window menu command. When a single polygon is selected in the active view window, the CLC data window displays the data of this polygon. In other cases it appears with the default settings. A short description of each control element appears by clicking on it in the pictures below.

In the upper frame of the window you find polygon data:

· the verification unit identification number (V. ID.) – if verification database is loaded;
· the verified check box;
· the errors of the polygon;
· the area of the selected polygon expressed in hectares;
· the whole CORINE 1:100 000 land cover nomenclature with short name;
· the button for copying selected category code into the Remark text;
· for polygons in the CLC2000 database CLC2000 code;
· for polygons in the Change database CLC2000 code and CLC2006 code,
· the button for opening CLC code help.

In the lower frame you find remark and controls for remarks:

· list of most frequently used remarks;
· text box for displaying and writing in a remark;
· button for deleting selected remark point;
· Next remark button;

With the Window height slider you can adjust the size of the CLC data window by changing the height of CLC code list..

Write button writes the remark text and verifying status into the database while Close button closes the window.

CLC data window covers a significant part of the screen. In the case of drawing, splitting, unifying or searching for large polygons or whenever you need a large screen area, it is recommended that you close this window. This can be done with the Close button, Alt+C keyboard shortcut or the close widget in the upper right corner of the window. When one of the View windows is active F9 keyboard shortcut closes or reopens CLC data window.


Application of remarks

At the beginning of thematic control of a map sheet InterCheck program creates two ArcView shapefile format point databases. During control procedure, supervisor writes his or her remarks into the remark field belonging to points of these databases. Remark_r.shp, .dbf, .shx files created in Revision subdirectory of the map sheet contain remarks on CLC2000 database, while Remark_c.shp, .dbf, .shx files created in the Change directory contain remarks on the change database.

The remark text must not exceed 255 characters. To add a new remark text or to modify an existing one you can select from the drop-down list of most common remarks or type your remark in the text box. The remark selected from the drop-down list can be modified or completed in the text box. You can find the list of most commonly used remarks for the CLC2006 database in the rem_r.txt file and for the change database in the rem_c.txt file in Program directory. Files can be modified with help of any text editor program, such as Windows Notepad. In the text each paragraph forms a separate remark. First two remarks (paragraphs) in the text must not be modified at any case!

You can create new remark point with the Add remark point e13 tool. Click to the polygon or point within the map sheet where you intend to put a remark. In the selected location a remark point is created, the Remark text box of CLC data window becomes active, where you can immediately write in the text of your remark. This text can be saved to the remark database either by clicking on the Write button or pushing the Alt+W keyboard shortcut.

The first remark can be added to a polygon also without using Add remark point tool. Select the polygon and write remark text into Remark text box of CLC data window, then push either the Write button or the Alt+W keyboard shortcut. As a result the program creates a remark point close to the polygon’s centre. This method is recommended to use only in small, simple-shaped polygons where the remark refers to the whole polygon area.

An already existing remark point can be selected by clicking on it with the Select polygon e8 tool. Color of the selected point becomes yellow and its text is displayed in remark text box of the CLC data window. Remark text of the selected point can be modified. Selected point can be deleted with the Delete remark button. Program marks the point to be deleted with a flashing circle and if the affirmative question is answered with Yes, it deletes the point. In case you wish to delete only the text of the remark, not the point itself, select the text Remark textbox with cursor and push Del on the keyboard.

In CLC2000 database all remark points necessarily fall into a polygon’s area. In change database however, remark points might also be out of any polygon’s area, for example in a change area that the interpreter missed to delineate. If selected point falls into a polygon’s area, the program selects the polygon itself as well, also displaying its data in the CLC data window. If a polygon contains a remark, its text is displayed when selecting the polygon the same way as if the point itself would have been selected.

Indeed, a polygon might contain more than one remark points. When selecting such polygon only the number of remarks within the polygon is displayed in the remark text box. You can view the text of remark points jumping along the points one by one by clicking on the Next remark button in upper right hand corner of the text field. During this the serial number of currently selected point / total number of points in the polygon is displayed beside the Remark label.


Specifying the CLC code

If you wish to write CLC code in the remark text, you can select the line of the required CLC code from the list of category codes. If you select a code manually, caption of the CLC code list alters to Code: user selected. The fastest way of moving in the list to the required line is to drag and drop the slider of the scroll bar on the right. Detailed description of the selected code is available by clicking on Code help button.

After selecting the required code, click Copy code button below the code list. The program inserts the code into the remark text to the pointer's current position. Of course the code can be written also manually in the text. However, the method described above has several advantages. Namely, the chance of inserting an invalid code is zero and it also decreases the chance of inserting an incorrect code since in the code list you can see the short name of the category beside the code number. Even the detailed description of the category can be read if the Code help window is opened.

If you click again on code 2000 or code 2006 text box, CLC code list (and CLC code help window, if open) displays the appropriate code and description, and caption of the CLC code list alters to Code: 2000 or Code: 2006.


Specifying status

Normally each polygon in the CLC2000 and Change databases must be examined during the checking process. During the control of both databases you have the possibility to classify as verified those polygons that you have examined. This option should be chosen only if the whole area of the polygon has been thoroughly examined. In case of large polygons use this with caution. To classify the selected polygon as verified simply right click in the relevant View window and from the local menu appearing choose Verified command without releasing the right mouse button.

A verified polygon can be classified as unverified any time by choosing the Unverified command in the local menu. Choose this option if you classified a polygon ready by mistake or if you have doubts about the polygon and you find necessary to check it later.

With the local menu though you can change the verification status of more than one – previously selected – polygons at a time. In order to select more than one polygons hold down the Shift button while selecting the second, third etc. polygon with the Select polygon tool. When changing the verification status of more than one polygons at a time, be especially careful to select only those polygons you really wish to verify/unverify.


Writing the data

Remark is written into the active remark database with the Write button or Ctrl+W keyboard shortcut. The program checks the length of remark text. If it exceeds 255 characters the database is capable of storing, the program poses an affirmative question, in which it gives the beginning of the text to be deleted. On answering Yes the first 255 characters of the text is written into the database. On answering No the text is not written into the database and you a have an opportunity to cut the text shorter. If the remark text does not exceed 255 characters the data are written into the database without any affirmative questions.

If neither polygon, nor remark point is selected, program gives an error message and the operation will be unsuccessful. Writing data fails also, if more then one remark point located in the selected polygon and you have not chosen one of them. However, if in the selected polygon is not yet a remark point, the program will automatically insert a new remark point close to the polygon centre when writing the remark. After writing in the data, the data table is saved automatically into the corresponding database file.


The Search window

Search window can be opened with the Search button g19 , the Search command in Edit menu or the Ctrl+F keyboard shortcut. On the left side of the Search window you find Find what? radio button group, which specifies the search target. Further criteria (or the text searched after) can be specified for some of the searches. You can decrease the amount of matching data with radio buttons in Data subset selection frame. With radio button select by skip factor you can display every n'th matching polygon. In the appropriate text box type in the desired skip factor n. With radio button select subset with size you can display only a limited amount of matching polygons. In the appropriate text box type in the desired maximal number of polygons to display. With radio button search in verification units only you can limit the search among polygons within areas to be checked. By searching for remarks the radio buttons in Data subset selection frame are disabled. After specifying criteria start search with the Search button.

Next the program finds, selects and enlarges the first polygon matching the search criteria. In order to be easily identified the outline of the polygon flashes. The same time as the polygon is selected, the Find xxx window opens. In the header of the window xxx is replaced by the search target. The Find xxx window is always in front of all other windows, in the foremost position. First row of the window shows search criteria. Below that the serial number of recently shown polygon / number of all polygons found can be seen.

If you click on Next button, the next polygon found appears in the window. By clicking on Next button repeatedly the program goes round all polygons found, so after the last polygon it steps to the first again. In case there are no polygons matching search criteria or there are no more polygons, because you have changed their data the program sends the following message: Could not find! After closing the Find xxx window you can still move to the next polygon matching the last search criteria with F3 keyboard shortcut. InterCheck program preserves the last search criteria for CLC2000 and Change database separately. If 2000 window is active, F3 continues last search in CLC2000 database; or alternatively if 2006 window is active, F3 continues last search in Change database.

If you click on Mask button in the Search window, the program will mask out all polygons matching the criteria instead of jumping on matching polygons one by one.

In case you do not wish to start a search the Search window can be closed with the Close button or the close widget in the window's upper right corner.


Search for CLC code

Open Search window and in the Find what? frame on the left select Category radio button. Type the wanted code into the code 2000 text box beside the radio button. If 2006 window was active before opening the Search window, you will find an code 2006 text box as well. Thus in the change database you can search for code 2000, code 2006 or code change (code pair). Not only three-digit codes, but also one- or two-digit codes (eg. 11 –- Urban fabric) can be specified as search criteria. If you type in a non-existing code as search condition, the program sends an error message when starting search. You can decrease the amount of matching data with radio buttons in Data subset selection frame.


Search for data errors

Open Search window and in the Find what? frame on the left select Errors radio button. Beside this radio button you find two check boxes to refine search criteria. If you select size errors check box, the program searches for polygons under the given size limit. If you select code and merge errors check box, the program searches for polygons with invalid category codes, and for neighbouring polygons with the same category code. On selecting both check boxes the program searches for both error types. If you fail to select at least one check box, the program sends an error message. You can decrease the amount of matching data with radio buttons in Data subset selection frame.


Search for remark

Open Search window and in the Find what? frame on the left select Remark radio button. Type the remark or a typical expression, word or word-fragment of the wanted remark into the Remark text box beside the radio button. If you wish to find all polygons with any remark, type * (asterisk) as wanted text into the text box. The program does not differentiate between lower and upper case letters during search. By searching for remarks the radio buttons in Data subset selection frame are disabled.

Program finds and selects the first remark point matching the search criteria and displays remark text in CLC data window. If the found remark point is located in a polygon, program selects polygon too, and displays its data in the CLC data window.


Find XY co-ordinate

With the Find XY tool g24 an arbitrary co-ordinate point can be find. On clicking this button the XY co-ordinate window opens. In this window you can type in the co-ordinates you are looking for. Clicking the Find button brings the given co-ordinates to the centre of the window and labels the location with a cross. The scale of the window does not change.

If the point specified in the XY co-ordinate window falls outside the area of the map sheet you are working on, the program sends an error message.


Code statistics

Select Code statistics button g25 or the Code statistics command in Edit menu. As a result, the program calculates and displays four statistics and summary dialog. The appropriate .dbf files can be found in the mapsheet directory.

· In the Code statistics window you can see aggregate data of the CLC2000 and Change database. You can simply select sorting method for CLC2000 statistics or Change statistics. Refresh all button recalculates all statistics, Close all button closes four statistical tables and the dialog too.
· CLC2000 statistics (stat2000.dbf) collects all different codes and lists them. It also counts how many polygons each code contains (Pieces) and calculates their total area (Area) and average area too (Average).
· Change statistics (statchng.dbf) collects all different Code2000–Code2006 pairs and lists them. It counts how many polygons each change pair contains (Pieces) and calculates their total area (Area) and average area too (Average).The last column of the table contains the probability of the given change type (P) built in the change probability table.
· Change area statistics (statarea.dbf) gathers change polygons into area intervals and shows how many polygons each interval contains (Pieces) and calculates their total area (Area) too.
· Probability statistics (statprob.dbf) gathers change polygons by change probability (P), counts how many polygons belong to each probability (Pieces) and calculates their total area (Area).

Possible values of P – probability of code change:

· 0 = technical change (Code2000 = Code2006), or code error (Code2000 = 0);
· 1 = probable change;
· 2 = rarely occurring change, careful checking recommended;
· 3 = improbable change, very careful checking and documentation recommended.

If you double-click any row in a table, the program starts a search for polygons with the selected code, change type area or change probability respectively. This search method is especially useful for repeated checking of rarely occurring and almost improbable changes. You can decrease the amount of matching data with radio buttons in Search window Data subset selection frame.


General advice

When working with smaller performance computer on a map sheet containing a lot of polygons, some editing and search operations might need significant time. Be careful that in the meantime you do not strike a further key or start a new operation. Always wait until the program fully performs the operation started and its result appears on the screen!


Saving workspace

In case you wish to return later to a given part of the map sheet, you can save the temporary view (co-ordinates and scale) of the window with Save workspace button g2 , Edit – Save workspace menu command or F11 keyboard shortcut. After this you can move or zoom on the map sheet as you wish. When you want to return to the workspace saved, click Restore workspace button g10 , select View – Restore workspace menu command or use F12 keyboard shortcut to restore the workspace (area and scale) you saved.

The file containing data of the workspace is saved to the given map sheet's working directory. Thus a separate workspace can be saved for each map sheet and can be restored any time later.


Verification units

The international Technical Team checks in detail around 8% of total area of CLC2000 and Change mapsheets. Checking is applied for 10x10 km verification units defined in advance. Verification areas for all mapsheets can be found in a common polygon database, which is automatically created by InterCheck upon its first start. This file, called verify.shp is found in Program directory. National teams using InterCheck for internal verification as well can lay down their verification method optionally. It is not necessary for them to follow the method described below, they do not need to use verify.shp file, either.

The database of areas to be checked can be loaded in the InterCheck program. Specifying verification areas on a mapsheet should be carried out prior to beginning the verification of a given mapsheet, but after the program has been started and the satellite images have been loaded. Specifying should follow the method below.

· Click Verification unit setup button g26 on the right end of button bar.
· In the opening Verification unit setup window specify X and Y co-ordinates of lower left corner of verification area. A – maximum 255 character long – comment can also be added to each verification area. Numbering of areas is automatic, following a chronological order.
· Verification areas can be specified interactively, on screen, too. For this select Select area manually tool in the upper right corner of Verification unit setup window and click in the middle of selected area in one of the View windows. A 10x10 km frame appears around the selected point and its lower left corner's co-ordinates appear in X and Y co-ordinate fields of Verification unit setup window. On further clicking new frame is drawn and new co-ordinates appear in the window. You can go on selecting the area until you clicked Create button in the window or closed the window.
· Upon clicking Create button the program creates a new data record in the verification area database. Data record contains borders and other data of the area. Then the frame of area appears in both View windows – this time at its ultimate place. The Verification unit setup window takes its default setting with the next serial number given. Be careful when specifying verification areas because there is no way of posterior deletion of data records.
· Verification unit setup window can be closed with Close button.

Upon its first starting InterCheck searches for verify.shp polygon database file in the Program directory. If database not foud, program creates an empty one. If you give a Yes answer to an affirmative question, program loads the found or newly created database into View windows. This means that verification unit database can be created beforehand in other ways and with other tools than the one described above. However, a file created in another way and copied into Program directory can be continued in InterCheck program only if its data record contains a numeric field called V_ID and a character field called Comment.


Checking databases

InterCheck program is a tool for final checking of the completed CLC2000 and Change databases. Checking should be completed before edge-matching individual working units for the whole country. With InterCheck not only those databases can be checked that has been prepared with help of the InterChange program. It can also be used for checking CLC2000 and Change databases in any file format that can be added to ArcView program as a theme (ArcView shapefile, ARC/INFO coverage, AutoCAD drawing etc.). Of course, to convert certain data formats, appropriate extensions should be switched on in ArcView. Map sheets to be checked can be placed to any location within the computer's directory structure. InterCheck creates copies of each map sheet, so the original database files remain unaltered during the checking process.

Divide screen between 2000 and 2006 window with Tile windows on/off button g17 and perform control procedure. Systematically examine the whole area, all the polygons of the map sheet whether they contain interpretation errors. If more satellite images are available, check polygons on all of them. Check whether all polygons match interpretation criteria. Pay special attention to controlling and documentation of rarely occurring and improbable changes!

Classify as verified those polygons you have examined with the method described in the Specifying status point. Switching on status colouring you can check the progress made in control procedure.

On finishing the checking process you find the two ArcView point database files containing remarks in the working directory of the map sheet checked. These text files should then be used for correcting CLC2000 and change database. The name of these text files: Remark_r.shp, .dbf, .shx in the Revision subdirectory and Remark_c.shp, .dbf, .shx in the Change subdirectory.


Saving remarks

Once you have finished the checking process for a map sheet the remarks can be saved onto disc with the Save remarks g5 button or the Edit – Save remarks menu command. The program collects those data records from the Remark_r and Remark_c databases whose remark field is not empty. These remarks are then numbered and the remark text, remark point co-ordinate, the underlaying polygon code and area is written into a pre-formatted text file. File containing remarks referring to the CLC2000 database will be called remark_r.txt while the text file containing remarks for the Change database will be called remark_c.txt. These files are useful for the CLC2006 Technical Team to create a checking report.


Frequently used remarks

You can find the list of most commonly used remarks for CLC2000 database in the rem_r.txt and for change database in rem_c.txt file in Program directory. Either list can be modified with help of any text editor program, such as Windows Notepad. In the text each paragraph forms a separate remark. First two remarks (paragraphs) in the text must not be modified at any case! This topic describes in which cases the quality supervisor should use a given remark.

Questionable code.

This remark used only in the CLC2000 database. The code cannot be specified on the basis of available satellite images. More information is needed for deciding which code to use.

Wrong code, suggestion:

This remark used only in the CLC2000 database. The code given by the interpreter is definitely incorrect on the basis of available satellite images. After the colon the proposed correct code should be given.

Unify polygon with neighbour, whose code is:

This remark used only in the CLC2000 database. Polygon should be unified because

· it is smaller than the size limit and there is no reason to keep it;
· its land cover does not differ from its neighbour's.

In case the polygon has more than one neighbour (so it is not an island polygon) the code of the polygon to be unified should be given after the colon.

Split polygon.

The polygon consists of two or more areas with different category codes. Remark may also include the recommended way of splitting and the code of polygons to be created.

From inside the polygon cut:

Used in case of – usually large – polygons that include small land cover patches that the interpreter failed to outline.

Draw polygon's border more precisely.

The polygon borderline is inaccurate, does not properly match the patch of land cover category in the satellite image.

Re-interpret the area.

This remark refers to an area, usually covered by several polygons, that is misinterpreted and there are several border or code mistakes in it. Remark might include explanation or if required a more detailed description can be read in the report.

Missing change.

This remark used only in the change database. The interpreter failed to outline the change area.

Impossible change.

This remark used only in the change database. The code change given by the interpreter is definitely improbable (e.g. 111 ---> 211).

Wrong change code pair. Proposed change from 2000 to 2006:

This remark used only in the change database. The old and/or new code given by the interpreter is definitely incorrect on the basis of available satellite images. After the colon the proposed correct code pair should be given.

Not a real change. Proposed code in both dates is:

This remark used only in the change database. The change polygon does not outline a real change. After the colon the proposed correct code should be given.

Delete polygon:

This remark used only in the change database. The polygon should be deleted because

· it is smaller than the size limit and there is no reason to keep it;
· it does not outline a real change;

Technical change.

This remark used only in the change database. The change area should be marked as technical change.

Further remarks are logical combinations of the ones listed above.


Handling code labels

Switching off and on code labels

In areas with a lot of relatively small polygons the code labels might disturb the supervisor. In these cases code labels can be switched off on the screen with Toggle codes button g13 , the Toggle codes command in the View menu or with the F5 keyboard shortcut. Repeating the command, code labels are switched on again. This command does not refresh the content and position of labels, so they will appear at the same position as before switching off.

Manual code labelling

ArcView places code labels in the geometric centre of the polygon. Therefore sometimes it is difficult to find the code label of polygons that are large, have complicated shape or concentric position. The labels might fall outside the view as well. In order to solve this problem you can manually place code labels on any part of the polygon. Choose Label tool e3 . Click at the required location inside the polygon and its code appears at that location. This way you can place several code labels within a polygon. These manual labels stay there when you switch labels off and on, but they disappear after you perform any polygon editing operation or refreshed code labels. Label tool works in 2000 window with CLC2000 database, in 2006 window with Change database.

Rewriting code labels

After significant zooming in or out code labels might appear outside the polygon they belong to. This case you can delete and rewrite them with the Rewrite codes button g14 , the Rewrite codes command in the View menu or the F6 keyboard shortcut. This operation is automatically performed each time after you edit polygons or you write in polygon data to the table.


Setting label properties

The optimal font size of code labels depends on the size, quality and resolution of the monitor used during the work. Sometimes you might need to change the colour of code labels and polygon outlines because of significant differences within satellite images.

You can open Settings window with the Settings button g15 or the Edit – Settings menu command. When opened, the window shows settings of the CLC2000 and Change themes. The code label and polygon outline colours and the code label font size can be modified with radio buttons as well. In Save screen panel polygon outline width and code label font size can be set for creating screen shots for documents and reports. Modify button performs the selected modifications. Cancel button closes the Settings window without performing modifications.

Colours should be chosen so that the lines stand out best in front of the area just being interpreted. This depends very much on the quality and settings of the monitor used. In most of the cases default yellow and magenta are the most suitable. It is recommended to set different colours for CLC2000 and change database.


Colouring of polygons

On the right side of the toolbar you find Polygon colouring (labelled as Choice box ) drop-down list, which allows you to switch on polygon colourings. The colouring can be switched off with selecting the Colouring off line in the list, the Colouring off button g16 , the View – Colouring off menu command or the F8 keyboard shortcut.

Colouring polygons by errors

Polygons appear in different colours according to their error type: invalid (missing) code, size error and merge errors. During control procedure you get an overview of the position and number of polygons with error.

Colouring polygons by CLC codes

One of the applications of the finished database is producing maps. This colouring shows polygons according to the internationally set CLC colour coding. Selecting this colouring the polygons appear in colours specified for the third level (three digit) CORINE categories, zero coded polygons are white. Before switching this colouring on it is recommended to switch off the visibility of background satellite images.

Colouring polygons by status

While controlling databases there is a possibility of classifying polygons as verified, if the whole area of the polygon is checked. Status colouring shows these polygons in light grey, while polygons yet to be checked remain transparent. Thus you can check how much progress you have made in the controlling procedure and where there are areas yet to be worked.

Colouring change polygons by probability of change

To each change type (pair of old code – new code) belongs a value indicating the probability of that land cover change. Change colouring shows polygons with code error (zero code) in red, area of probable changes in grey, area of rarely occurring changes in yellow and the area of improbable changes in magenta. This colouring draws attention to areas of less probable changes, which should be checked with special care.


Polygon mask

A black mask around selected polygons can be switched on or off in the active View window with the Polygon mask button g23 , the View – Polygon mask menu command or the F7 keyboard shortcut. When the mask is switched on, only the selected polygons are visible, the rest of the view is black.

Polygon mask is especially useful in avoiding mistakes when splitting or cutting out a polygon. It is also a helpful tool when you examine polygons with complicated shape and you want to eliminate the disturbing presence of surrounding polygons.


Searching with help of mask

Set the search conditions in Search window then click Mask button. This case the program will set off matching polygons with a black mask on their environment instead of jumping on them one by one. You can move or change scale on the masked area at will. If you do not need the mask any more you can switch it off with the Polygon mask button g23 , the View – Polygon mask menu command or the F7 keyboard shortcut.

Searching with mask is especially useful when looking for polygons with some similar features. It can also be helpful when at an advanced state of work you are looking for polygons you still have something to do with. With this method you can find polygons with:

· the same category code or change type;
· any comment or remark;
· a given key word (e.g. "field checking") in the comment or remark text;
· a given error type.


Save screen tool

Compilation or illustration of reports, documents, computer demonstrations might make necessary creating screenshots from certain parts of the map sheet. Due to resizing thin polygon boundaries and tiny code labels are very often hardly if at all visible and readable on these saved images. In case you want to make such screenshot for documentation purposes select the Save screen e12 tool. As a result, the program increases polygon boundary width and code label font size. These parameters can be freely modified in the Settings window.

Modified settings are kept even if you use the Label, the Magnifier, the Reducer or the Pan tools, with help of which you can adjust the view to be saved. If the view is adjusted, save it to the clipboard by pushing Ctlr+PrintScreen keys. Open an image editor or word processor program, paste image into a document and save to disc.

In order to continue work, choose Identify, Distance, Area, Select polygon, Cut out polygon, Add remark point or Split polygon tool. This will reset the settings: polygon boundary width and code label font size is readjusted according to original settings.


Identify tool

The Identify tool e1 in the toolbar provides the same service as in ArcView. Clicking with it in 2000 window or 2006 window opens Identity results window, which provides detailed information on the polygon you clicked on in the active theme. If the desired theme is not active, activate it with a sigle click on its name in the windows' left side in the legend stripe. In Identity results window on the left you can read the name of the polygon, while on the right all data belonging to it in the table.


Size check tools

Checking width

Distance tool e4 serves the checking of a land cover patch's or a polygon's width, to make sure whether it is above width limit. Begin the line to be measured with a single click. As you move the pointer, the distance between start point and the pointers position in metres can be seen in the status bar at the bottom of the screen. With further clicks you can define the total length of a broken line as well. Finish length measurement with a double click. The length of the last section and the line's total length remains visible in the status bar.

Estimating polygon area and change area

With the quick Area tool e2 outline roughly the area you wish to measure. Vertexes can be drawn with left mouse click. Popup menu commands are available here, too. Upon closing line with a double-click, in the status bar you can read the area of the outlined part in hectares. The area of existing polygons can be found out without drawing if you click on the polygon with Ctrl key held down. Ctrl + click method works for CLC2000 database polygons in 2000 window and only for change database polygons in 2006 window.

Area tool can also be used for estimating uninterpreted or misinterpreted change areas. To compare the area of a changed land cover patch in both window,

· first outline the patch in the 2000 window on the year 2000 satellite image – or if it already exists as a polygon in the Change database, use Ctrl + click for selection. The area of the original patch in hectares appears in status bar.
· Next outline the changed area of the land cover patch in the 2006 window on the year 2006 satellite image – or if it already exists as a polygon in the change database, use Ctrl + click for selection. In the status bar the area of the changed patch appears. At the same time Area change window opens and shows the area of original patch (first measure), the area of the changed patch (second measure) and the size of change. In Area change window you can see the change type too. Close button (Alt+C) closes the window.


LUCAS data window

When opening a map sheet for the first time program checks if there are LUCAS00.shp and/or LUCAS06.shp files in the LUCAS directory found on the same directory level as map sheet directories. If LUCAS data are found they are loaded into the corresponding view window.

Data belonging to LUCAS points might serve as useful ancillary data during change mapping. The full data content belonging to a LUCAS point can be displayed with the Identify tool e1 (activate LUCAS theme first in the legend stripe). However, usually only certain data are needed during change mapping. These can view if you select the required LUCAS point by Ctrl+clicking with the Select polygon e8 tool. If LUCAS data window is not opened yet, the program opens it and loads in it the most important data of the selected LUCAS point. These are as follows in the order of their appearance:

• LUCAS point ID;
• date of surveying;
• in case of low data accuracy only a warning icon (use Identify tool for further information);
• primary and secondary land cover code and their text description;
• primary and secondary land use code and their text description.

In case the information found in LUCAS data window strongly contradict the satellite image, check the additional information on the LUCAS point with help of Identify tool. High observation distance, low GPS accuracy and non-field observation might be the cause of disagreement between LUCAS information and the satellite image. In this case yellow triangle with exclamation mark is visble in SSU data frame.

LUCAS data window and LUCAS photo viewer – instead of LUCAS00.shp and/or LUCAS06.shp files – can only use specific LUCAS data files, created with help of InterPrepare program!

LUCAS2000 points are located in groups of ten. You can jump from one point to the next/previous with help of arrow buttons in the bottom of the LUCAS data window. LUCAS2006 points have a scattered, non-regular distribution, so for this database arrows are not applicable. The View photos button starts an external program called LUCAS photo viewer. LUCAS photo viewer displays the main data of the currently selected LUCAS point as well as the field photographs belonging to the point, if any. The default position of LUCAS photo viewer program window when inactive is the bottom right corner of the screen covering as small part of ArcView’s working area as possible. Detailed information on the use of LUCAS photo viewer can be found in the program’s own help. Close button of LUCAS data window closes both LUCAS windows.


General help

General InterCheck help

The general InterCheck help you are just reading can be opened with the Help – InterCheck help menu command or the InterCheck help button g21 in the button bar. The help window is similar to that used in Windows programs. You can choose a help topic in the Contents or search for keywords and expressions in the help index.

Context-sensitive help

On clicking >>What is this?<< help g20 button in the button bar the cursor changes its shape. Click on any button, tool or menu command with this question marked cursor and the general help window opens with information on the selected control element. The cursor then assumes its former shape so you have to click >>What is this?<< help button again on order to ask information again.

If you click with question marked cursor on a control in any InterCheck dialog box (CLC data, CLC code help, Search, Settings) the corresponding help topic appears. If any of the above dialog boxes is active, F1 key can also be used to open the corresponding help topic.


CLC code help

CLC code help window can be opened by clicking on Code help button in the CLC data window . It gives you a detailed description of the category code selected in the code list. CLC code help window can be dragged and resized at will. It is always placed in front of the other windows, so it is recommended to close it with Close button when not needed any more. As long as this window is opened its content follows the changes of CLC code list in CLC data window.


Popup texts and status bar

If you need more information on controls created or modified in InterCheck macro package, you can find it in the popup texts and in the status bar at the bottom of the screen. Popup text and status bar help appears, if you moves the mouse pointer over a control.


Keyboard shortcuts

If 2000 or 2006 window is active

F1 context-sensitive help

F2 select tool

F3 find next matching polygon

F4 –

F5 code labels off/on

F6 refresh code labels

F7 polygon mask on/off

F8 colouring off

F9 open or close CLC data window

F11 save workspace

F12 restore workspace

Back zoom to previous extent

Ctrl + F (Find) open Search window

Tool shortcuts after F2:

0 Identify

1 Distance

2 Area

3 Label

4 Magnifier

5 Reducer

6 Pan

7 Select polygon

8 Add remark point

9 Save screen

If CLC data window is active

Alt + H CLC code help

Alt + W write in data into the database

Alt + C close CLC data window


Directory structure

Running of InterCheck program requires a simple but fixed relative directory structure. If the interpretation of land cover changes is performed with InterChange program, and for thematic control you use InterCheck program, you can work with same directories and files as the interpreter. Simply copy the project file check2.apr to each map sheet directory and open it to start thematic control.

Within the directory structure the Program directory contains the files needed for running InterCheck program, Doc directory contains printable documentation in PDF format, printable keyboard template and other written information.

LUCAS directory contains LUCAS2000 and LUCAS2006 point databases in ArcView shape file format, with names LUCAS00 (.shp, .dbf, .shx) and LUCAS06 (.shp, .dbf, .shx) respectively. The photo00 and photo06 subdirectories respectively cantain LUCAS field photos.

Prior to beginning the checking procedure each map sheet directory contains one file, the project file check2.apr and two subdirectories. The two subdirectories bear the same names for all sheets: Revision and Change.

Revision subdirectory may contain those satellite images that are used for revision of the CLC2000 database and were made around 2000. It is recommended to use the same image(s) as were used during the creation of original CLC2000 database.

Change subdirectory may contain the satellite images made around year 2006 that are used for change detection.

The databases to be checked can – though not needed to – be collected in the relevant map sheet directory for the supervisor. This case it is recommended to place the CLC2000 database in the Revision subdirectory and Change database in the Change subdirectory.

An example of directory structure before beginning the checking procedure:


Remark database

Data record structure of remark databases:

· Shape field:

The point that the data record belongs to.

· X field: numeric (#FIELD_SHORT), 8 digits, 0 decimal.

X co-ordinate of the point.

· Y field: numeric (#FIELD_DECIMAL), 8 digits, 0 decimals.

Y co-ordinate of the point.

· Done field: numeric (#FIELD_DECIMAL), 1 digits, 0 decimals.

Fulfilled status of the supervisor's remark – used by InterChange program only during the correction after thematic control.

· Remark field: character (#FIELD_VCHAR), 255 characters.

Supervisor's remark on the surround of the map sheet point.


Verification database

Required fields in the data record structure of verification unit database:

· Shape field:

The polygon (10x10 km square verification area border) that the data record belongs to.

· No field: numeric (#FIELD_DECIMAL), 5 digits, 0 decimal.

Serial number of the verification unit.

· Comment field: character (#FIELD_VCHAR), 255 characters.

Creator's or supervisor's comments on the verification unit.


Saved report example

Remarks of the quality supervisor for eov_032 CLC2000 database.

2007.10.01. 15:12

Serial number, remark of the supervisor, co-ordinate.
--- category code, area (and verification unit ID) of the polygon.

001 Wrong code, suggestion: 123, see image tm000512.  XY=[660747, 252788]

--- Code: 112                Area: 488.12 ha    V. ID: 12

002 Unify polygon with neighbour: 211      XY=[650829, 249131]

--- Code: 231                Area: 57.64 ha

003 From inside the polygon cut: 324 at    XY=[654189, 257085];

--- Code: 311                Area: 281.96 ha

004 Draw polygon's border more precisely   XY=[657211, 255043]

--- Code: 211                Area: 144.59 ha    V. ID: 14

005 Questionable code. (possibly 324?)     XY=[653706, 254111]

--- Code: 321                Area: 28.03 ha


End user license agreement

 Top Previous

This end user license agreement (Agreement) is a legal agreement between MLOG Instruments Ltd. (MLOG) and customer of the software license (User). By installing and using the CLC2006 Support Package software (Software) User agree to be bound by the terms of this Agreement.

Subject to the terms and conditions of this Agreement and User's acceptance thereof, MLOG hereby grants to User and User accept a personal, non-transferable, non-exclusive license (which shall be revocable pursuant to the terms of this Agreement) to installing the Software thus much computer as many corresponds to the number of purchased Software licences.

The Software is owned by MLOG and the software authors. The structure, organisation and code of the Software are valuable trade secrets of MLOG and the authors. This agreement does not grant for the User any commercial or intellectual property rights in the Software. The Software is protected by copyright law of Hungary and international treaty provisions, as well as other intellectual property laws and treaties. All trademarks and service marks mentioned in Software or documentation are the property of their respective owners.

The Software is licensed, not sold and not received as a present by the User. The User may not commercially distribute, sublicense, resell, or otherwise transfer for any consideration, or reproduce for any such purposes, the Software or any modification or derivation thereof, either alone or in conjunction with any other product or program. Further, the User may not modify the Software. User agrees not to adapt, translate, reverse engineer, decompile, disassemble, decrypt or otherwise attempt to discover the source code of the Software or any subset of the Software. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

The Software is being delivered to the User as is. MLOG and the authors of the Software disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose; assume no liability for damages, direct or consequential, which may result from the use of the Software. Entire risk arising out of use or performance of the Software remains with the User.